Subject: bug#49906: perl-mode: variables that conflict with keywords aren't fontified properly

From: Tomasz Konojacki <[email-masked]>
Date: Sat, 07 Aug 2021 11:33:24 +0200

On Sat, 07 Aug 2021 11:10:43 +0200
Lars Ingebrigtsen <[email-masked]> wrote:

> You can concatenate any number of lists with append, so I don't quite
> understand what you mean here.

You're right, I was confused. I was under the wrong impression that
append takes only two arguments. It was probably caused by the combination
of reading a tutorial[1] instead of the real documentation and
struggling with unrelated syntax errors. Obviously, I'm an elisp
beginner.

A revised patch is attached.

[1] - https://www.gnu.org/software/emacs/manual/html_node/eintr/append.html